<script lang="ts">
import Vue from 'vue';
import DibWorkforceTabs from './dib-workforce-tabs.vue';

export default Vue.extend({
  name: 'DibWorkforce',
  components: { DibWorkforceTabs },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="dib-workforce">
    <div class="dib-workforce__copy">
      <SlpContainer>
        <div class="dib-workforce__gradient-header"></div>
        <SlpRow class="dib-workforce__row">
          <SlpColumn :cols="7" class="dib-workforce__col">
            <SlpTypography variant="heading2-bold" tag="h3" class="slp-mb-24">{{
              data.header
            }}</SlpTypography>
            <SlpTypography variant="body1" tag="div" class="slp-mb-32">
              <SlpMarkdown :text="data.text" />
            </SlpTypography>
          </SlpColumn>
          <SlpColumn :cols="5" class="dib-workforce__col">
            <img :src="data.image.src" :alt="data.image.alt" />
          </SlpColumn>
        </SlpRow>
        <div v-if="data.quote?.text" class="dib-workforce__quote">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            width="33"
            height="28"
            viewBox="0 0 33 28"
            fill="none"
          >
            <path
              d="M7.52 27.8C5.06667 27.8 3.2 26.8667 1.92 25C0.64 23.1333 0 20.5733 0 17.32C0 13.5333 0.933333 10.2 2.8 7.32C4.66667 4.44 7.52 2.06667 11.36 0.199997L13.92 5.32C11.52 6.49333 9.70667 7.90666 8.48 9.56C7.30667 11.16 6.72 13.1333 6.72 15.48C6.82667 15.4267 6.96 15.4 7.12 15.4C7.28 15.4 7.41333 15.4 7.52 15.4C9.22667 15.4 10.6667 15.9333 11.84 17C13.0667 18.0133 13.68 19.4267 13.68 21.24C13.68 23.2133 13.0933 24.8133 11.92 26.04C10.7467 27.2133 9.28 27.8 7.52 27.8ZM26.48 27.8C24.0267 27.8 22.16 26.8667 20.88 25C19.6 23.1333 18.96 20.5733 18.96 17.32C18.96 13.5333 19.8933 10.2 21.76 7.32C23.6267 4.44 26.48 2.06667 30.32 0.199997L32.88 5.32C30.48 6.49333 28.6667 7.90666 27.44 9.56C26.2667 11.16 25.68 13.1333 25.68 15.48C25.7867 15.4267 25.92 15.4 26.08 15.4C26.24 15.4 26.3733 15.4 26.48 15.4C28.1867 15.4 29.6267 15.9333 30.8 17C32.0267 18.0133 32.64 19.4267 32.64 21.24C32.64 23.2133 32.0533 24.8133 30.88 26.04C29.7067 27.2133 28.24 27.8 26.48 27.8Z"
              fill="#171321"
            />
          </svg>
          <SlpTypography tag="p" variant="quotes" class="slp-mb-24">
            {{ data.quote.text }}</SlpTypography
          >
          <div class="dib-workforce__author">
            <img
              v-if="data.quote.image"
              class="dib-workforce__headshot"
              :src="data.quote.image.src"
              :alt="data.quote.image.alt"
            />

            <div>
              <SlpTypography tag="p" variant="body1-bold" class="slp-mt-32">
                {{ data.quote.name }}</SlpTypography
              >
              <SlpTypography tag="p" variant="body1">
                {{ data.quote.role }}</SlpTypography
              >
            </div>
          </div>
        </div>
      </SlpContainer>
    </div>
    <div>
      <DibWorkforceTabs :data="data.tabs" />
    </div>
  </section>
</template>

<style lang="scss" scoped>
.dib-workforce {
  position: relative;
  :deep .slp-container {
    position: relative;
    z-index: 1;
  }
  &__copy {
    position: relative;
    &::before {
      content: '';
      display: block;
      position: absolute;
      left: 0;
      top: 0;
      height: 880px;
      width: 100%;
      background: linear-gradient(180deg, #fff 0%, rgba(255, 255, 255, 0) 100%),
        linear-gradient(
          126deg,
          #eee7fd 0%,
          rgba(246, 243, 254, 0.83) 49.71%,
          rgba(255, 212, 216, 0.45) 100%
        );
      transform: scale(-1);
    }
    &:after {
      content: '';
      display: block;
      position: absolute;
      right: 0;
      top: -48px;
      height: 80px;
      width: 80px;
      border-radius: 20px;
      transform: rotate(-45deg);
      background: linear-gradient(
        180deg,
        #eee7fd 0%,
        rgba(246, 243, 254, 0.83) 49.71%,
        rgba(255, 212, 216, 0.45) 100%
      );
      box-shadow: 0px 44px 64px 0px rgba(119, 89, 194, 0.1);
      @media (min-width: $breakpoint-md) {
        height: 180px;
        width: 180px;
      }
    }
    padding: $spacing-32 0 0 0;
    @media (min-width: $breakpoint-md) {
      padding: 120px 0 0 0;
    }
  }
  &__row {
    @media (min-width: $breakpoint-md) {
      flex-direction: row-reverse;
    }
  }
  &__quote {
    border-radius: 20px;
    position: relative;
    background: white;
    padding: $spacing-32;
    margin-top: 32px;
    @media screen and (min-width: $breakpoint-sm) {
      margin-top: 64px;
    }
  }
  &__author {
    display: flex;
  }
  &__headshot {
    border-radius: 100%;
    width: 120px;
    height: 120px;
    overflow: hidden;
    margin-right: 16px;
    flex: 0 0 120px;
    object-fit: cover;

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
}
</style>
